import { JSONSerializer } from './ser'
import { deserialize } from 'serde/de'
import { JSONDeserializer } from './de'
import { serialize } from 'serde/ser'

export function toString(value: any): string {
  const serializer = new JSONSerializer()
  serialize(serializer, value)
  return serializer.output
}

export function fromString<T>(value: string, into: any): T {
  const deserializer = JSONDeserializer.fromString(value)
  return deserialize(deserializer, into)
}

